最近本人在使用element-ui开发过程中遇到在.vue文件中修改覆盖element-ui样式无效的问题,原因是页面中style标签添加了scoped属性,要改变element-ui某个深层元素(eg:.el-input__inner)或其他深层样式时,需要使用/deep/,如

.conBox /deep/ .el-input__inner{    
     padding:0 10px;
}

如果编译启动/deep/报错,可采用::v-deep

.conBox ::v-deep .el-input__inner{    
      padding:0 10px;
 }

评论列表

发表评论

您的电邮不会被公布,必填字段标记为*